typedef struct {

  char riff[4];
  long riff_size;
  char wave[4];

  char fmt[4];
  long chunk_len; /* 16 */

  short format_tag; /* 1=pcm */
  short channels;
  long samples_per_sec;
  long bytes_per_sec;
  short block_align;
  short bits_per_sample;

  char data[4];
  long data_len;

} WAV;

/* returns size of wave file */
int setup_wave(int fd);

/* writes out a wave header */
void write_wave(int fd, int size);
